# Uses of Class
it.tdlight.jni.TdApi.DeviceToken

## Uses of TdApi.DeviceToken in it.tdlight.jni

Subclasses of TdApi.DeviceToken in it.tdlight.jni
Modifier and Type
Class
Description
`static final class`
`TdApi.DeviceTokenApplePush`
A token for Apple Push Notification service.
`static final class`
`TdApi.DeviceTokenApplePushVoIP`
A token for Apple Push Notification service VoIP notifications.
`static final class`
`TdApi.DeviceTokenBlackBerryPush`
A token for BlackBerry Push Service.
`static final class`
`TdApi.DeviceTokenFirebaseCloudMessaging`
A token for Firebase Cloud Messaging.
`static final class`
`TdApi.DeviceTokenMicrosoftPush`
A token for Microsoft Push Notification Service.
`static final class`
`TdApi.DeviceTokenMicrosoftPushVoIP`
A token for Microsoft Push Notification Service VoIP channel.
`static final class`
`TdApi.DeviceTokenSimplePush`
A token for Simple Push API for Firefox OS.
`static final class`
`TdApi.DeviceTokenTizenPush`
A token for Tizen Push Service.
`static final class`
`TdApi.DeviceTokenUbuntuPush`
A token for Ubuntu Push Client service.
`static final class`
`TdApi.DeviceTokenWebPush`
A token for web Push API.
`static final class`
`TdApi.DeviceTokenWindowsPush`
A token for Windows Push Notification Services.
Fields in it.tdlight.jni declared as TdApi.DeviceToken
Modifier and Type
Field
Description
`TdApi.DeviceToken`
TdApi.RegisterDevice.`deviceToken`
Device token.
Constructors in it.tdlight.jni with parameters of type TdApi.DeviceToken
Modifier
Constructor
Description
``
`RegisterDevice(TdApi.DeviceToken deviceToken, long[] otherUserIds)`
Registers the currently used device for receiving push notifications.